Bug 397711 - [RFE] [PATCH] make yum-updatesd use sendmail
Summary: [RFE] [PATCH] make yum-updatesd use sendmail
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-updatesd   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-24 11:44 UTC by Pierre Ossman
Modified: 2008-04-23 21:29 UTC (History)
2 users (show)

Fixed In Version: 0.9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 21:29:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum-updatesd-sendmail.patch (3.40 KB, patch)
2007-11-24 11:44 UTC, Pierre Ossman
no flags Details | Diff
yum-email-compat.patch (683 bytes, patch)
2007-12-09 17:43 UTC, Pierre Ossman
no flags Details | Diff
yum-email-crash.patch (883 bytes, patch)
2007-12-09 17:43 UTC, Pierre Ossman
no flags Details | Diff

Description Pierre Ossman 2007-11-24 11:44:26 UTC
Almost every other program sends reports by calling /usr/bin/sendmail to the
address "root". yum-updatesd, however, requires a SMTP server to submit its
mail, something that usually also requires domain-decorated names.

This patch allows yum-updatesd to submit mail reports using /usr/bin/sendmail
like any other system monitoring program. The old code path is still there and
is controlled by the value "use_sendmail" in the configuration.

The patch in bug 387181 is assumed to be present when applying this one.

Comment 1 Pierre Ossman 2007-11-24 11:44:26 UTC
Created attachment 268001 [details]
yum-updatesd-sendmail.patch

Comment 2 Jeremy Katz 2007-11-26 16:16:57 UTC
Thanks, applied in git

Comment 3 Pierre Ossman 2007-12-05 07:10:17 UTC
When will we see it in F8 updates/testing?

Comment 4 Ville Skyttä 2007-12-05 22:55:56 UTC
The patch looks buggy, it uses /usr/bin/sendmail which doesn't exist.  Should be
using /usr/sbin/sendmail instead.

Comment 5 Fedora Update System 2007-12-06 20:54:23 UTC
yum-updatesd-0.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-updatesd'

Comment 6 Peter Bieringer 2007-12-09 12:54:34 UTC
Has this been ever tested using postfix?

After fixing the use of email_to according to
https://bugzilla.redhat.com/show_bug.cgi?id=387051

I get now:

sendmail: fatal: Recipient addresses must be specified on the command line or
via the -t option

Comment 7 Pierre Ossman 2007-12-09 17:43:15 UTC
Created attachment 282291 [details]
yum-email-compat.patch

Adds the -t flag to be more compatible with other /usr/sbin/sendmail
implementations.

Comment 8 Pierre Ossman 2007-12-09 17:43:39 UTC
Created attachment 282301 [details]
yum-email-crash.patch

Avoid a traceback on some packages.

Comment 9 Pierre Ossman 2007-12-09 17:44:10 UTC
Other than those two patches, the RPM in testing works just fine.

Comment 10 Jeremy Katz 2007-12-10 18:39:54 UTC
Committed to master.  Will give a few more days before doing another build 

Comment 11 Fedora Update System 2007-12-20 19:52:17 UTC
yum-updatesd-0.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-updatesd'

Comment 12 Pierre Ossman 2007-12-26 19:07:50 UTC
Seems to work nicely now.

Comment 13 Fedora Update System 2007-12-28 17:18:57 UTC
yum-updatesd-0.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Jon Stanley 2008-04-23 20:30:29 UTC
Adding FutureFeature keyword to RFE's.


Note You need to log in before you can comment on or make changes to this bug.